classification
Title: support define_macros / undef_macros in setup.cfg
Type: enhancement Stage: resolved
Components: Distutils2 Versions: Python 3.3
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: eric.araujo Nosy List: Arfrever, alexis, dholth, eric.araujo, tarek
Priority: normal Keywords: patch

Created on 2012-05-17 20:48 by dholth, last changed 2014-03-13 04:24 by eric.araujo. This issue is now closed.

Repositories containing patches
https://bitbucket.org/dholth/cpython
Messages (4)
msg161014 - (view) Author: Daniel Holth (dholth) * Date: 2012-05-17 20:49
from build_ext.py:

        # XXX not honouring 'define_macros' or 'undef_macros' -- the
        # CCompiler API needs to change to accommodate this, and I
        # want to do one thing at a time!
msg161156 - (view) Author: Daniel Holth (dholth) * Date: 2012-05-19 20:37
Looks like it can go into [build_ext] but not per-extension
msg161158 - (view) Author: Daniel Holth (dholth) * Date: 2012-05-19 21:01
A tuple of (macro, '1') seems to do the trick

define_macros has to be space-separated, not comma-separated
msg162573 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-06-10 01:33
Looks like the diff generator can’t be used for not up-to-date clones.  Could you update a diff?
History
Date User Action Args
2014-03-13 04:24:32eric.araujosetstatus: open -> closed
resolution: out of date
stage: resolved
2012-06-10 01:33:02eric.araujosetmessages: + msg162573
2012-06-10 01:32:10eric.araujosetfiles: - ac776ef41428.diff
2012-06-10 01:30:33eric.araujosetfiles: + ac776ef41428.diff
2012-05-20 01:48:35Arfreversetnosy: + Arfrever
2012-05-19 21:05:36dholthsetfiles: - 65c3af0d283b.diff
2012-05-19 21:03:12dholthsetfiles: + 65c3af0d283b.diff
keywords: + patch
2012-05-19 21:02:00dholthsethgrepos: + hgrepo127
messages: + msg161158
2012-05-19 20:37:49dholthsetmessages: + msg161156
2012-05-17 20:49:39dholthsetmessages: + msg161014
2012-05-17 20:48:17dholthcreate